//internal interupt
//when key pressed, the led will turn around
//author: Gang Chen
//cheng@in.tum.de
#include <avr/io.h>
#include <util/delay.h>
#include <stdint.h>
#include <avr/interrupt.h>
ISR(INT0_vect)
{
	_delay_ms(20);
	if(PORTB==0x8)
		PORTB=0x01;
	else
		PORTB=PORTB<<1;
}

int main(void)
{
	DDRB=0x0f;
	PORTB=0x01;
	//please recap bit operation we introduced in previous lecture
	DDRD=DDRD&0xFB; //enbale PD2 as input,use INT0 as interrupt(Please read page 76 of AVR datasheet)
	PORTD=PORTD|(~0xFB);//
	EICRA|=0x03;//
	EIMSK|=0x01;
	EIFR|=0x01;
	sei(); //enable interrupt
	while(1)
	{
		//implement other tasks
	}
        return 0;
}



